¿Cómo puedo identificar la causa de este error de SSL en Safari 6?

Estaba viendo un error de SSL en Safari 6.1.6 (8537.78.2) en OSX 10.8.5 cuando visitaba un website, y la información de debugging provista por las herramientas de desarrollador no indicaba el origen del problema. El problema fue informado por varios usuarios de OSX 10.8, y se resolvió para esos usuarios restaurando TLSv1 en la configuration del server (cambio de configuration en la parte inferior de la pregunta).

El post de error en las herramientas de desarrollo de Safari era

Error al cargar el recurso: se ha producido un error de SSL y no se puede establecer una connection segura con el server.

En Safari, no había información adicional en la pestaña "Solicitudes> Red" (que vi referenceda en otras respuestas). La información allí parecía estar relacionada con la carga del contenido del post de error en lugar del sitio original.

¿Qué otros methods, en caso de haberlos, podría haber usado para extraer un post de "server que carece de compatibilidad con TLSv1" de Safari 6 / OSX 10.8.x?


Información adicional: el cambio requerido para la configuration del server nginx fue este:

-ssl_protocols TLSv1.1 TLSv1.2; +ssl_protocols TLSv1 TLSv1.1 TLSv1.2; 

  • ¿Es posible actualizar cualquier dispositivo con iOS 6 a iOS 6.1.6?
  • ¿Cómo se eliminan las excepciones de certificates SSL en iOS?
  • Chrome no muestra la confianza del certificate de security del sitio para GitHub
  • Versión del protocolo de alerta tlsv1 cuando se conecta a través de SSL al server OS X
  • No se puede crear una aplicación de fluido debido a "Certificado no válido"
  • Error de SSL con mbsync
  • No puede abrir ssl url en el nuevo ipad
  • Restablecer las excepciones SSL de Safari en iOS 11
  • One Solution collect form web for “¿Cómo puedo identificar la causa de este error de SSL en Safari 6?”

    Safari 6.1.6 solo es compatible con TLS 1.0 (que los serveres preocupados por el ataque BEAST están desactivando cada vez más), y no hay ningún post de error aparte del genérico "error de SSL" en la console. Necesitaría una versión más nueva de macOS para continuar usando Safari en esos sitios. Si la actualización del sistema operativo no es una opción (por ejemplo, si aún necesita la versión anterior de Xcode), entonces puede probar Firefox 45.9.0 ESR, que usa TLS 1.2 (confirmado con http://www.HowsMySSL.com); esa versión de Firefox pasó su fin de vida a mediados de 2017 (y las versiones más recientes requieren un sistema operativo más nuevo), pero al less es una mejora sobre Safari 6.1.6. Sin embargo, me sentiría más cómodo instalando un SO moderno junto al Lion / Mountain Lion, o al less usando VirtualBox para ejecutar una versión moderna de GNU / Linux dentro de él, y usando un browser actualizado desde allí.

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).